Upstream information

CVE-2013-3495 at MITRE

Description

The Intel VT-d Interrupt Remapping engine in Xen 3.3.x through 4.3.x allows local guests to cause a denial of service (kernel panic) via a malformed Message Signaled Interrupt (MSI) from a PCI device that is bus mastering capable that triggers a System Error Reporting (SERR) Non-Maskable Interrupt (NMI).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.7
Vector AV:L/AC:M/Au:N/C:N/I:N/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete

Note from the SUSE Security Team

This security issue in XEN can currently not be fixed. A workaround for this problem is avoid the usage of PCI passthrough for guest systems. Also check out the the XEN XSA-59 advisory.

SUSE Bugzilla entries: 826717 [RESOLVED / FIXED], 903970 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • xen >= 4.4.1_08-5.2
  • xen-kmp-default >= 4.4.1_08_k3.12.28_4-5.2
  • xen-libs >= 4.4.1_08-5.2
  • xen-libs-32bit >= 4.4.1_08-5.2
Patchnames:
SUSE Linux Enterprise Desktop 12 GA xen
SUSE-SLE-DESKTOP-12-2015-8
SUSE Linux Enterprise Desktop 12 SP1
  • xen >= 4.5.1_12-2.3
  • xen-kmp-default >= 4.5.1_12_k3.12.49_11-2.3
  • xen-libs >= 4.5.1_12-2.3
  • xen-libs-32bit >= 4.5.1_12-2.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA xen
SUSE Linux Enterprise Desktop 12 SP2
  • xen >= 4.7.0_12-23.4
  • xen-libs >= 4.7.0_12-23.4
  • xen-libs-32bit >= 4.7.0_12-23.4
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA xen
SUSE Linux Enterprise Desktop 12 SP3
  • xen >= 4.9.0_08-2.2
  • xen-libs >= 4.9.0_08-2.2
  • xen-libs-32bit >= 4.9.0_08-2.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA xen
SUSE Linux Enterprise Module for Basesystem 15
  • xen-libs >= 4.10.1_04-1.4
  • xen-tools-domU >= 4.10.1_04-1.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA xen-libs
SUSE Linux Enterprise Module for Server Applications 15
  • xen >= 4.10.1_04-1.4
  • xen-devel >= 4.10.1_04-1.4
  • xen-tools >= 4.10.1_04-1.4
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA xen
SUSE Linux Enterprise Server 11 SP1-LTSS
  • xen >= 4.0.3_21548_18-0.9.1
  • xen-doc-html >= 4.0.3_21548_18-0.9.1
  • xen-doc-pdf >= 4.0.3_21548_18-0.9.1
  • xen-kmp-default >= 4.0.3_21548_18_2.6.32.59_0.15-0.9.1
  • xen-kmp-pae >= 4.0.3_21548_18_2.6.32.59_0.19-0.21.1
  • xen-kmp-trace >= 4.0.3_21548_18_2.6.32.59_0.15-0.9.1
  • xen-libs >= 4.0.3_21548_18-0.9.1
  • xen-tools >= 4.0.3_21548_18-0.9.1
  • xen-tools-domU >= 4.0.3_21548_18-0.9.1
Patchnames:
slessp1-xen
SUSE Linux Enterprise Server 11 SP2-LTSS
  • xen >= 4.1.6_08-0.5.1
  • xen-devel >= 4.1.6_08-0.5.1
  • xen-doc-html >= 4.1.6_08-0.5.1
  • xen-doc-pdf >= 4.1.6_08-0.5.1
  • xen-kmp-default >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-kmp-pae >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-kmp-trace >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-libs >= 4.1.6_08-0.5.1
  • xen-libs-32bit >= 4.1.6_08-0.5.1
  • xen-tools >= 4.1.6_08-0.5.1
  • xen-tools-domU >= 4.1.6_08-0.5.1
Patchnames:
slessp2-xen-11sp2-20141204
SUSE Linux Enterprise Server 12
  • xen >= 4.4.1_08-5.2
  • xen-doc-html >= 4.4.1_08-5.2
  • xen-kmp-default >= 4.4.1_08_k3.12.28_4-5.2
  • xen-libs >= 4.4.1_08-5.2
  • xen-libs-32bit >= 4.4.1_08-5.2
  • xen-tools >= 4.4.1_08-5.2
  • xen-tools-domU >= 4.4.1_08-5.2
Patchnames:
SUSE Linux Enterprise Server 12 GA xen
SUSE-SLE-SERVER-12-2015-8
SUSE Linux Enterprise Server 12 SP1
  • xen >= 4.5.1_12-2.3
  • xen-doc-html >= 4.5.1_12-2.3
  • xen-kmp-default >= 4.5.1_12_k3.12.49_11-2.3
  • xen-libs >= 4.5.1_12-2.3
  • xen-libs-32bit >= 4.5.1_12-2.3
  • xen-tools >= 4.5.1_12-2.3
  • xen-tools-domU >= 4.5.1_12-2.3
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA xen
SUSE Linux Enterprise Server 12 SP2
  • xen >= 4.7.0_12-23.4
  • xen-doc-html >= 4.7.0_12-23.4
  • xen-libs >= 4.7.0_12-23.4
  • xen-libs-32bit >= 4.7.0_12-23.4
  • xen-tools >= 4.7.0_12-23.4
  • xen-tools-domU >= 4.7.0_12-23.4
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA xen
SUSE Linux Enterprise Server 12 SP3
  • xen >= 4.9.0_08-2.2
  • xen-doc-html >= 4.9.0_08-2.2
  • xen-libs >= 4.9.0_08-2.2
  • xen-libs-32bit >= 4.9.0_08-2.2
  • xen-tools >= 4.9.0_08-2.2
  • xen-tools-domU >= 4.9.0_08-2.2
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA xen
SUSE Linux Enterprise Server for SAP Applications 11 SP1-LTSS
  • xen >= 4.0.3_21548_18-0.9.1
  • xen-doc-html >= 4.0.3_21548_18-0.9.1
  • xen-doc-pdf >= 4.0.3_21548_18-0.9.1
  • xen-kmp-default >= 4.0.3_21548_18_2.6.32.59_0.15-0.9.1
  • xen-kmp-pae >= 4.0.3_21548_18_2.6.32.59_0.19-0.21.1
  • xen-kmp-trace >= 4.0.3_21548_18_2.6.32.59_0.15-0.9.1
  • xen-libs >= 4.0.3_21548_18-0.9.1
  • xen-tools >= 4.0.3_21548_18-0.9.1
  • xen-tools-domU >= 4.0.3_21548_18-0.9.1
Patchnames:
slessp1-xen
SUSE Linux Enterprise Server for SAP Applications 11 SP2-LTSS
  • xen >= 4.1.6_08-0.5.1
  • xen-devel >= 4.1.6_08-0.5.1
  • xen-doc-html >= 4.1.6_08-0.5.1
  • xen-doc-pdf >= 4.1.6_08-0.5.1
  • xen-kmp-default >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-kmp-pae >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-kmp-trace >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-libs >= 4.1.6_08-0.5.1
  • xen-libs-32bit >= 4.1.6_08-0.5.1
  • xen-tools >= 4.1.6_08-0.5.1
  • xen-tools-domU >= 4.1.6_08-0.5.1
Patchnames:
slessp2-xen-11sp2-20141204
SUSE Linux Enterprise Server for SAP Applications 12
  • xen >= 4.4.1_08-5.2
  • xen-doc-html >= 4.4.1_08-5.2
  • xen-kmp-default >= 4.4.1_08_k3.12.28_4-5.2
  • xen-libs >= 4.4.1_08-5.2
  • xen-libs-32bit >= 4.4.1_08-5.2
  • xen-tools >= 4.4.1_08-5.2
  • xen-tools-domU >= 4.4.1_08-5.2
Patchnames:
SUSE-SLE-SERVER-12-2015-8
SUSE Linux Enterprise Software Development Kit 12
  • xen >= 4.4.1_08-5.2
  • xen-devel >= 4.4.1_08-5.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA xen-devel
SUSE-SLE-SDK-12-2015-8
SUSE Linux Enterprise Software Development Kit 12 SP1
  • xen-devel >= 4.5.1_12-2.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA xen-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • xen-devel >= 4.7.0_12-23.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA xen-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • xen-devel >= 4.9.0_08-2.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA xen-devel
SUSE Linux Enterprise Server 11 SP1 LTSS
  • xen >= 4.0.3_21548_18-0.9.1
  • xen-doc-html >= 4.0.3_21548_18-0.9.1
  • xen-doc-pdf >= 4.0.3_21548_18-0.9.1
  • xen-kmp-default >= 4.0.3_21548_18_2.6.32.59_0.15-0.9.1
  • xen-kmp-pae >= 4.0.3_21548_18_2.6.32.59_0.15-0.9.1
  • xen-kmp-trace >= 4.0.3_21548_18_2.6.32.59_0.15-0.9.1
  • xen-libs >= 4.0.3_21548_18-0.9.1
  • xen-tools >= 4.0.3_21548_18-0.9.1
  • xen-tools-domU >= 4.0.3_21548_18-0.9.1
Builds
SAT Patch Nr: 10080
SUSE Linux Enterprise Server 11 SP1 LTSS
  • xen >= 4.0.3_21548_18-0.9.1
  • xen-doc-html >= 4.0.3_21548_18-0.9.1
  • xen-doc-pdf >= 4.0.3_21548_18-0.9.1
  • xen-kmp-default >= 4.0.3_21548_18_2.6.32.59_0.15-0.9.1
  • xen-kmp-trace >= 4.0.3_21548_18_2.6.32.59_0.15-0.9.1
  • xen-libs >= 4.0.3_21548_18-0.9.1
  • xen-tools >= 4.0.3_21548_18-0.9.1
  • xen-tools-domU >= 4.0.3_21548_18-0.9.1
Builds
SAT Patch Nr: 10080
SUSE Linux Enterprise Server 11 SP2 LTSS
  • xen-devel >= 4.1.6_08-0.5.1
  • xen-kmp-default >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-kmp-pae >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-kmp-trace >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-libs >= 4.1.6_08-0.5.1
  • xen-tools-domU >= 4.1.6_08-0.5.1
Builds
SAT Patch Nr: 10081
SUSE Linux Enterprise Server 11 SP2 LTSS
  • xen >= 4.1.6_08-0.5.1
  • xen-devel >= 4.1.6_08-0.5.1
  • xen-doc-html >= 4.1.6_08-0.5.1
  • xen-doc-pdf >= 4.1.6_08-0.5.1
  • xen-kmp-default >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-kmp-trace >= 4.1.6_08_3.0.101_0.7.23-0.5.1
  • xen-libs >= 4.1.6_08-0.5.1
  • xen-libs-32bit >= 4.1.6_08-0.5.1
  • xen-tools >= 4.1.6_08-0.5.1
  • xen-tools-domU >= 4.1.6_08-0.5.1
Builds
SAT Patch Nr: 10081
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • xen >= 3.2.3_17040_46-0.13.1
  • xen-devel >= 3.2.3_17040_46-0.13.1
  • xen-doc-html >= 3.2.3_17040_46-0.13.1
  • xen-doc-pdf >= 3.2.3_17040_46-0.13.1
  • xen-doc-ps >= 3.2.3_17040_46-0.13.1
  • xen-kmp-bigsmp >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-debug >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-default >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-kdump >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-kdumppae >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-smp >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-vmi >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-vmipae >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-libs >= 3.2.3_17040_46-0.13.1
  • xen-tools >= 3.2.3_17040_46-0.13.1
  • xen-tools-domU >= 3.2.3_17040_46-0.13.1
  • xen-tools-ioemu >= 3.2.3_17040_46-0.13.1
Builds
ZYPP Patch Nr: 9089
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
  • xen >= 3.2.3_17040_46-0.13.1
  • xen-devel >= 3.2.3_17040_46-0.13.1
  • xen-doc-html >= 3.2.3_17040_46-0.13.1
  • xen-doc-pdf >= 3.2.3_17040_46-0.13.1
  • xen-doc-ps >= 3.2.3_17040_46-0.13.1
  • xen-kmp-debug >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-default >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-kdump >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-kmp-smp >= 3.2.3_17040_46_2.6.16.60_0.107.36-0.13.1
  • xen-libs >= 3.2.3_17040_46-0.13.1
  • xen-libs-32bit >= 3.2.3_17040_46-0.13.1
  • xen-tools >= 3.2.3_17040_46-0.13.1
  • xen-tools-domU >= 3.2.3_17040_46-0.13.1
  • xen-tools-ioemu >= 3.2.3_17040_46-0.13.1
Builds
ZYPP Patch Nr: 9089
openSUSE 13.1
  • xen >= 4.3.3_04-34.1
  • xen-debugsource >= 4.3.3_04-34.1
  • xen-devel >= 4.3.3_04-34.1
  • xen-doc-html >= 4.3.3_04-34.1
  • xen-kmp-default >= 4.3.3_04_k3.11.10_25-34.1
  • xen-kmp-default-debuginfo >= 4.3.3_04_k3.11.10_25-34.1
  • xen-kmp-desktop >= 4.3.3_04_k3.11.10_25-34.1
  • xen-kmp-desktop-debuginfo >= 4.3.3_04_k3.11.10_25-34.1
  • xen-kmp-pae >= 4.3.3_04_k3.11.10_25-34.1
  • xen-kmp-pae-debuginfo >= 4.3.3_04_k3.11.10_25-34.1
  • xen-libs >= 4.3.3_04-34.1
  • xen-libs-32bit >= 4.3.3_04-34.1
  • xen-libs-debuginfo >= 4.3.3_04-34.1
  • xen-libs-debuginfo-32bit >= 4.3.3_04-34.1
  • xen-tools >= 4.3.3_04-34.1
  • xen-tools-debuginfo >= 4.3.3_04-34.1
  • xen-tools-domU >= 4.3.3_04-34.1
  • xen-tools-domU-debuginfo >= 4.3.3_04-34.1
  • xen-xend-tools >= 4.3.3_04-34.1
  • xen-xend-tools-debuginfo >= 4.3.3_04-34.1
Patchnames:
openSUSE-2015-113
openSUSE Leap 15.0
  • xen-libs >= 4.10.0_20-lp150.1.2
Patchnames:
openSUSE Leap 15.0 GA xen-libs
openSUSE Leap 42.1
  • xen >= 4.5.1_10-1.4
  • xen-doc-html >= 4.5.1_10-1.4
  • xen-kmp-default >= 4.5.1_10_k4.1.12_1-1.4
  • xen-libs >= 4.5.1_10-1.4
  • xen-tools >= 4.5.1_10-1.4
  • xen-tools-domU >= 4.5.1_10-1.4
Patchnames:
openSUSE Leap 42.1 GA xen
openSUSE Leap 42.2
  • xen >= 4.7.0_12-1.6
  • xen-doc-html >= 4.7.0_12-1.6
  • xen-libs >= 4.7.0_12-1.6
  • xen-tools >= 4.7.0_12-1.6
  • xen-tools-domU >= 4.7.0_12-1.6
Patchnames:
openSUSE Leap 42.2 GA xen
openSUSE Leap 42.3
  • xen >= 4.9.0_08-2.1
  • xen-doc-html >= 4.9.0_08-2.1
  • xen-libs >= 4.9.0_08-2.1
  • xen-tools >= 4.9.0_08-2.1
  • xen-tools-domU >= 4.9.0_08-2.1
Patchnames:
openSUSE Leap 42.3 GA xen
openSUSE Tumbleweed
  • xen >= 4.7.0_12-1.3
  • xen-devel >= 4.7.0_12-1.3
  • xen-doc-html >= 4.7.0_12-1.3
  • xen-libs >= 4.7.0_12-1.3
  • xen-libs-32bit >= 4.7.0_12-1.3
  • xen-tools >= 4.7.0_12-1.3
  • xen-tools-domU >= 4.7.0_12-1.3
Patchnames:
openSUSE Tumbleweed GA xen


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 xen Released
SUSE Linux Enterprise Desktop 10 SP4 xen Released
SUSE Linux Enterprise Desktop 11 SP1 xen Released
SUSE Linux Enterprise Desktop 11 SP2 xen Released
SUSE Linux Enterprise Desktop 11 SP3 xen Released
SUSE Linux Enterprise Desktop 12 GA xen Released
SUSE Linux Enterprise SDK 11 SP1 xen Released
SUSE Linux Enterprise SDK 11 SP2 xen Released
SUSE Linux Enterprise SDK 11 SP3 xen Released
SUSE Linux Enterprise SDK 12 GA xen Released
SUSE Linux Enterprise Server 10 SP3 xen Released
SUSE Linux Enterprise Server 10 SP4 xen Released
SUSE Linux Enterprise Server 10 SP4 LTSS xen Released
SUSE Linux Enterprise Server 11 SP1 xen Released
SUSE Linux Enterprise Server 11 SP1 LTSS xen Released
SUSE Linux Enterprise Server 11 SP2 xen Released
SUSE Linux Enterprise Server 11 SP2 LTSS xen Released
SUSE Linux Enterprise Server 11 SP3 xen Released
SUSE Linux Enterprise Server 11 SP3 LTSS xen Released
SUSE Linux Enterprise Server 12 GA xen Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 xen Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 xen Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 xen Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 xen Released
SUSE Linux Enterprise Server for VMWare 11 SP2 xen Released